=== debian/changelog ===
skrooge (1.4.0-2) experimental; urgency=low

  * Add missing Build-Depends: kdepimlibs5-dev, libkactivities-dev,
    xsltproc, libboost1.49-dev

 -- Mark Purcell <msp@debian.org>  Thu, 27 Dec 2012 10:57:03 +1100

skrooge (1.4.0-1) experimental; urgency=low

  * New upstream release
  * skrooge.install added usr/share/akonadi/
  * debian/rules cleanup

 -- Mark Purcell <msp@debian.org>  Mon, 24 Dec 2012 09:37:10 +1100
