=== debian/changelog ===
skrooge (1.6.0-1) experimental; urgency=low

  * Relax Build-Depends: libboost-dev
  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 09:40:26 +1100
