=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev, libkactivities-dev,
-               xsltproc, libboost1.49-dev,
+               xsltproc, libboost-dev,
                libgrantlee-dev,
                libofx-dev,
                libqca2-dev,
