## skrooge 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,24 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.4.0")
+FIND_PACKAGE(Grantlee)
+if( NOT Grantlee_FOUND  )
+  message(FATAL_ERROR "Package Grantlee required, but not found!")
+else( NOT Grantlee_FOUND )
+  message(STATUS "Package Grantlee found!")
+endif( NOT Grantlee_FOUND )
+
+SET(GRANTLEE_VERSION ${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}.${Grantlee_VERSION_PATCH})
+MESSAGE( STATUS "     GRANTLEE VERSION      : " ${GRANTLEE_VERSION})
+
+if(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+    MESSAGE( STATUS "     enable GRANTLEE 0.1.4 API")
+else(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+    MESSAGE( STATUS "     enable GRANTLEE 0.1.7 API")
+    add_definitions(-DSKGGRANTLEE17ENABLED=Y)
+endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+
+SET(SKG_VERSION "1.7.1")
 SET(SKG_BETA "")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
@@ -74,12 +91,6 @@
 ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")
 
 add_definitions(-DSKGVERSION=${SKG_VERSION}${SKG_BETA})
-if(${KDE_VERSION} VERSION_LESS "4.6.0")
-    MESSAGE( STATUS "     enable KDE 4.5 API")
-else(${KDE_VERSION} VERSION_LESS "4.6.0")
-    MESSAGE( STATUS "     enable KDE 4.6 API")
-    add_definitions(-DSKGKDE46ENABLED=Y)
-endif(${KDE_VERSION} VERSION_LESS "4.6.0")
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
 	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
