=== skgbasegui/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
    skggraphicsscene.cpp
    skggraphicsview.cpp
    skghtmlboardwidget.cpp
+   skgboardwidget.cpp   
    skgtablewithgraphdesignerplugin.cpp
    skgtablewithgraph.cpp
    skgdateeditdesignerplugin.cpp
