=== debian/changelog ===
skrooge (1.7.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jun 2013 09:05:25 +1000

skrooge (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Update Vcs-Svn: - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - no further changes

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 17:48:36 +1000

skrooge (1.6.3-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 09 Apr 2013 07:13:21 +1000
