=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                pkg-config,
                pkg-kde-tools (>= 0.9.0),
                shared-mime-info
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://skrooge.org/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
