## skrooge 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
     add_definitions(-DSKGGRANTLEE17ENABLED=Y)
 endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
 
-SET(SKG_VERSION "1.7.2")
+SET(SKG_VERSION "1.7.4")
 SET(SKG_BETA "BETA")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
