=== plugins/import/skrooge_import_mny/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_IMPORT_MNY ::..")

PROJECT(plugin_import_mny)

FIND_PACKAGE(QJSON REQUIRED)
if (${QJSON_VERSION} VERSION_LESS "0.7.2")
    set (QJSON_LIBRARIES   ${qjson_LIBRARIES})
    set (QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
endif()

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QJSON_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_import_mny_SRCS
	skgimportpluginmny.cpp
)


kde4_add_plugin(skrooge_import_mny ${skrooge_import_mny_SRCS})
TARGET_LINK_LIBRARIES(skrooge_import_mny ${KDE4_KPARTS_LIBS} ${QJSON_LIBRARIES} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_import_mny DESTINATION ${PLUGIN_INSTALL_DIR})
#sunriise is not installed because the installation is proposed through the skrooge web site
#INSTALL(FILES ${PROJECT_SOURCE_DIR}/sunriise.jar DESTINATION ${DATA_INSTALL_DIR}/skrooge/sunriise)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-import-mny.desktop DESTINATION ${SERVICES_INSTALL_DIR})
