=== debian/changelog ===
skrooge (1.7.4-1) unstable; urgency=low

  * New upstream release
  * update debian/watch - thanks Bart
  * Add Build-Depends: libqjson-dev

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jul 2013 21:30:47 +1000
